<?php


return  
    [
        'model' => [
            'model' => \Litecms\Product\Models\Product::class,
            'table' => 'litecms_product_products',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'status'],
            'translatables' => [],
            'upload_folder' => 'product/product',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'product::product.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "status" => [
                "key" => "status", 
                "type" => "text", 
                "label" => 'product::product.label.status', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.name',
                "placeholder" => 'product::product.placeholder.name',
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'status' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'product::product.label.status',
                "placeholder" => 'product::product.placeholder.status',
                "required" => 'true',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'product/product/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'product/product/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'product/product',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'product/product',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'product/product',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'product/product',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'product::product.label.created_at',
            'name' => 'product::product.label.name',
            'status' => 'product::product.label.status',
        ],
        'groups' => [
            'main' => 'product::product.groups.main',
            'details' => 'product::product.groups.details',
            'images' => 'product::product.groups.images',
            'settings' => 'product::product.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Product',
            'module' => 'Product',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Litecms\Product\Models\Product::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'count' => [
                                "element" => 'select',
                                "type" => 'select',
                                "label" => 'product::product.label.count',
                                "placeholder" => 'product::product.placeholder.count',
                                "options" => call_user_func(function () {
                                    return [
                                        1 => ['value' => 1, 'text' => 1],
                                        2 => ['value' => 2, 'text' => 2],
                                        3 => ['value' => 3, 'text' => 3],
                                        4 => ['value' => 4, 'text' => 4]
                                    ];
                                }),
                                "col" => "12",
                            ],
                            'comment' => [
                                "element" => 'textarea',
                                "type" => 'text',
                                "required" => 'required',
                                "label" => 'product::product.label.comment',
                                "placeholder" => 'product::product.placeholder.comment',
                                "col" => "12",
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'product::product.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['product.product.copy', 'product.product.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'product::product.label.count',
                        "placeholder" => 'product::product.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'product::product.label.comment',
                        "placeholder" => 'product::product.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'product::product.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
