<?php

namespace Litecms\Product\Seeders;

use DB;
use Illuminate\Database\Seeder;

class ProductTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_product_products')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.product.product.view',
                'name'      => 'View Product',
            ],
            [
                'slug'      => 'litecms.product.product.create',
                'name'      => 'Create Product',
            ],
            [
                'slug'      => 'litecms.product.product.edit',
                'name'      => 'Update Product',
            ],
            [
                'slug'      => 'litecms.product.product.delete',
                'name'      => 'Delete Product',
            ],
            
                        [
                'slug'      => 'litecms.product.product.verify',
                'name'      => 'Verify Product',
            ],
            [
                'slug'      => 'litecms.product.product.approve',
                'name'      => 'Approve Product',
            ],
            [
                'slug'      => 'litecms.product.product.publish',
                'name'      => 'Publish Product',
            ],
            [
                'slug'      => 'litecms.product.product.unpublish',
                'name'      => 'Unpublish Product',
            ],
            [
                'slug'      => 'litecms.product.product.cancel',
                'name'      => 'Cancel Product',
            ],
            [
                'slug'      => 'litecms.product.product.archive',
                'name'      => 'Archive Product',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/product/product',
                'name'        => 'Product',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/product/product',
                'name'        => 'Product',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'product',
                'name'        => 'Product',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Product',
                'module'    => 'Product',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.product.product.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
