<?php

namespace Litecms\Product\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait ProductExim
{

    /**
     * Determine if the given user can approve the given product.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function import(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('product.product.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given product.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function export(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('product.product.export')) {
            return true;
        }

        return false;
    }
}
